import * as base from './_crud-base'
import * as model from '~/models/mcu-order-item'

const path = '/api/v1/mcu-order-item'
const name = 'mcu-order-item'

export function create(data: model.CreateDto) {
  return base.create(path, data)
}

export function getList(params: model.ReadList | null = null) {
  return base.getList(path, params)
}

export function getDetail(id: number | string, params?: any) {
  return base.getDetail(path, id, name, params)
}

export function update(id: number | string, data: model.UpdateDto) {
  return base.update(path, id, data)
}

export function remove(id: number | string) {
  return base.remove(path, id)
}
